Package org.kapott.hbci.GV

# Class GVKUmsZeitSEPA

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.GVKUmsAll
org.kapott.hbci.GV.GVKUmsZeitSEPA

All Implemented Interfaces:
  `HBCIJob`

public class GVKUmsZeitSEPA extends GVKUmsAll
Umsatzabfrage eines SEPA-Kontos

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVKUmsZeitSEPA(HBCIHandler handler)`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getLowlevelName()`
Liefert den Lowlevel-Namen des Jobs.

### Methods inherited from class org.kapott.hbci.GV.GVKUmsAll

`extractResults, redoAllowed, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParam, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, haveVoP, redo, saveReturnValues, setExternalId, setIdx, setLowlevelParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipBPDCheck, skipped, tanApplied, twoDigitValueInList, vopApplied`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVKUmsZeitSEPA

public GVKUmsZeitSEPA(HBCIHandler handler)

## Method Details

### getLowlevelName

public static String getLowlevelName()
Liefert den Lowlevel-Namen des Jobs.

Returns:
  der Lowlevel-Namen des Jobs.